.figure1{
    border: 1px solid black;
    width: 160px;
    padding-bottom: 200px;
}
.figure2{
    border: 3px solid black;
    padding: 15px;
}
.figure3{
    border: 1px solid rgb(255, 136, 0);
    margin: 20px;
}
.figure4{
    border: 2px solid rgb(9, 231, 183);
    width: 50%;
    padding: 5px;
    padding-bottom: 100px;
    border-radius: 10px;
}
.figure5{
    border: 1px solid rgb(0, 0, 0);
    padding-left: 40px;
}
.figure6{
    border: 1px solid rgb(0, 0, 0);
    margin-left: 40px;
}
.figure7{
    border: 3px solid rgb(23, 238, 245);
    padding: 25px;
    text-align: center justify;
    width: 5%;
    margin: auto;
    margin-top: 15px;
    padding-bottom: 70px;
    border-radius: 10px;
}
.boton{
    text-align: center;
    text-transform: uppercase;
    font-weight: 900;
    position: relative;
    display: block;
    border: 2px solid rgb(9, 231, 183);
    color: black;
    width: 10%;
    padding: 20px;
    border-radius: 10px;
    overflow: hidden;
    text-decoration: none;
}
.boton:hover{
    color: white;
    transition: all 0.8s ease;

}
.boton::before{
    position: absolute;
    top: 50%;
    left: 50%;
    content: "";
    background: rgb(132, 0, 255);
    color: white;
    transform: translate(-50% , -50%);
    z-index: -1;
    transition: all 0.6s ease;
}
.boton1::before{
    width: 100%;
    height: 0%;
    transform: translate(-50% , -50%)rotate(45deg);

}
.boton1:hover::before{
    height: 400%;
}

    